> For the complete documentation index, see [llms.txt](https://docs.ramper.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ramper.xyz/developer-guide/developer-dashboard-legacy.md).

# Developer Dashboard (Legacy)

## Getting Started

Visit our [developer dashboard](https://developer.ramper.xyz) to create a new Ramper app!

![Login](/files/wrBwvtVt4XCZ8pGg6aaZ) ![Creating New App](/files/kY1JnkQ8OgXTf57TrovZ)

Once a new app is created, an App ID and App Secret will be generated. App secrets can be re-rolled anytime. The App ID should be provided to the `init` function when using our SDK to allow you to track your user's activity on Ramper. The App Secret is used to verify the issued `idToken` on your server side to manage user sessions.

![App Home Page](/files/PwiL0GQnOFZ8aK6aUxQD)

Use your new App ID in the init() function when initializing the SDK.

```jsx
init({
  appId: <YOUR APP ID HERE>
  appName: 'Polygon Test App',
  authProviders: [
    AUTH_PROVIDER.GOOGLE,
    AUTH_PROVIDER.FACEBOOK,
    AUTH_PROVIDER.TWITTER,
    AUTH_PROVIDER.APPLE,
    AUTH_PROVIDER.EMAIL
  ],
  walletProviders: [WALLET_PROVIDER.METAMASK],
  network: SUPPORTED_ETHEREUM_NETWORKS.MATICMUM,
  theme: THEME.DARK,
})
```

## User Analytics

Once connected, track who logs into your app by navigating to *Users* in the sidebar. Sort user data by clicking on the various column headers.&#x20;

![Users Page](/files/d6Pr9fJwxPKAAaxJCf5L)

## NFT Checkout

If you are interested in supporting NFT purchases with both Crypto and Fiat, you will need to create a Collection and Verify your Account to comply with Know-Your-Business (KYB) regulations in the following sections.

To get started, first visit the NFT Checkout tab on the left panel to create your first collection. We currently support the following networks:

* Ethereum - Mainnet (homestead)
* Polygon - Mainnet (matic)
* Polygon - Mumbai Testnet (maticmum)
* Ethereum - Goerli Testnet (goerli)

![Collection Created](/files/icvXCHhZmKrzHJHuYKzQ) ![NFT Checkouts](/files/TpSYH9Zj2JoUmIk4HtkF)

Upon creation, a Ramper link will be generated where customers can purchase your NFT using fiat or crypto. The purchase history will show successful transactions completed through this Ramper link.

![Purchase History ](/files/FKHMqHHTscSGpvt7rNvJ) ![Ramper Link](/files/l0uAneHcj5Rj8ci8Vwqk)

## Verify Account

NFT Checkouts will be restricted to **testnet** until your account is verified. To leave sandbox mode, navigate to *My Account* and submit the required information and documents. Choose between *Individual* or *Business* account types to begin the process.&#x20;

![Seller Information](/files/o91YOm5vyGsevqT5BnSa) ![Personal Documents](/files/mP2Lb52dUxIWvJmpGJgQ)

Upon submission, your application will be reviewed in 1-2 business days. We will reach out via email if more information is required.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ramper.xyz/developer-guide/developer-dashboard-legacy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
